Package org.codehaus.groovy.classgen.asm

# Class MethodCallerMultiAdapter

java.lang.Object
org.codehaus.groovy.classgen.asm.MethodCallerMultiAdapter

public class MethodCallerMultiAdapter extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAX_ARGS`

## Constructor Summary

Constructors
Constructor
Description
`MethodCallerMultiAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`call(org.objectweb.asm.MethodVisitor methodVisitor, int numberOfArguments, boolean safe, boolean spreadSafe)`
`static MethodCallerMultiAdapter`
`newStatic(Class theClass, String baseName, boolean createNArgs, boolean skipSpreadSafeAndSafe)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAX_ARGS

public static final int MAX_ARGS

See Also:
  - Constant Field Values

## Constructor Details

### MethodCallerMultiAdapter

public MethodCallerMultiAdapter()

## Method Details

### newStatic

public static MethodCallerMultiAdapter newStatic(Class theClass, String baseName, boolean createNArgs, boolean skipSpreadSafeAndSafe)

### call

public void call(org.objectweb.asm.MethodVisitor methodVisitor, int numberOfArguments, boolean safe, boolean spreadSafe)

Parameters:
  `methodVisitor` -
  `numberOfArguments` - a value >0 describing how many arguments are additionally used for the method call
  `safe` -
  `spreadSafe` -